CustomersCustomer
Log in customer
Exchanges the customer's credentials for access tokens. The storefront normally keeps the session in an HttpOnly cookie rather than handing the token to page scripts.
POST
/v1/customer/loginExchanges the customer's credentials for access tokens. The storefront normally keeps the session in an HttpOnly cookie rather than handing the token to page scripts.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/customer/login" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "email": "andrea@example.com", "password": "Example-Password-2026!" }'{ "accessToken": "replace_with_the_issued_token", "refreshToken": "replace_with_the_issued_token", "expiresIn": 1, "tokenType": "replace_with_the_issued_token", "customer": { "id": "7204558912004325301", "status": "active", "isVerified": false }}